from setuptools import setup, find_packages, Extension
import sys

INSTALL_REQUIRES = ["gavoutils", "gavovot", "pyparsing", "pysqlite"]
INSTALL_REQUIRES = []
if len(sys.argv)>1 and sys.argv[1]=="develop":
	INSTALL_REQUIRES = []
DEPENDENCY_LINKS = ["http://vo.ari.uni-heidelberg.de/soft/dist"]


setup(name="tapsh",
	description="The TAP shell lets you query Virtual Observatory TAP services"
		" in the style of common database shells.",
	url="http://vo.ari.uni-heidelberg.de/soft",
	license="GPL",
	author="Markus Demleitner",
	author_email="gavo@ari.uni-heidelberg.de",
	packages=find_packages(),
	include_package_data = True,
	install_requires = INSTALL_REQUIRES,
	dependency_links = DEPENDENCY_LINKS,
	entry_points={
		'console_scripts': [
			'tapsh = tapsh.main:main',
		]
	},
	version="0.2")
